﻿#language: ru

Функционал: Учет заквасок и смеси при варке сыра в документе

Сценарий: Учет заквасок и смеси при варке сыра в документе
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Вид операции' |  'Дата смены' | 'Ответственный' | 'Рабочий центр'   | 'Способ создания'    | 'Статус'    |
		| 'Переработка'  |  '12.03.2019' | 'Киоск' | 'Сырцех' | 'Приемка и передача' 		| 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Заполнить'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'По выпуску'
	И из выпадающего списка с именем "ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И я нажимаю на кнопку 'ОК'
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура' |
		| 'Смесь 50%' |
	Тогда открылось окно 'Переработка *'
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура' |
		| 'Закваска' |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я закрываю окно 'Переработки'	